package stdlib

import (
	"io"
	"net/http"
)

// FileLocationHTTP implements FileLocationType for a remote http url (readonly)
type FileLocationHTTP struct{}

// ReadBody returns a reader on the body
func (fls3 *FileLocationHTTP) ReadBody(location FileLocation) (io.ReadCloser, error) {
	var url string
	url, err := location.StringArg("url")
	if err != nil {
		return nil, err
	}
	resp, err := http.Get(url)
	if err != nil {
		return nil, err
	}
	return resp.Body, nil
}

func init() {
	RegisterFileLocationType("http", &FileLocationHTTP{})
}
